#include <bits/stdc++.h>
using namespace std;
int main()
{
 	short int j,i,N,M,x;
	char A[100];
	scanf("%d",&N);
	scanf("%d",&M);
	for (i=0;i<N*M;i++)
	{
		scanf("%c",&A[i]);
	}
	x=0;
	for (i=0;i<N;i++)
	{
		for(j=0;j<M;j++)
		{
			if(j==x)
			{
				printf("C");
			}
			else {
				printf(".");
			}
		}
		printf("\n");
		x++;
	}
}